Bug 287038

Summary: "keditbookmarks" crashed on drag-drop
Product: keditbookmarks Reporter: Valdas <zmogas>
Component: generalAssignee: David Faure <faure>
Status: RESOLVED FIXED    
Severity: crash CC: bkohler, black.beret, cfeck, dave, f.presel, faure, franjo124, hoffmann-clemens, hohenegger, ivan, ivaylo.kabakov, marcus, maxamillion, metalized, moltonel, mprizee, my.computer, peter, r77raphy, richard.llom, sreich, stevenschmidt
Priority: NOR    
Version: 4.10.1   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.11.3
Attachments: Bokkmarks exported from Firefox.
Step A mentioned in report.
Step B mentioned in report.
Output in console.
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
Valgrind Trace of keditbookmarks

Description Valdas 2011-11-19 23:30:57 UTC
Application: keditbookmarks (4.7.3 (4.7.3))
KDE Platform Version: 4.7.3 (4.7.3)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-12-generic i686
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:

 I wanted import Bookmarks from Firefox to Rekonq:
 - from Firefox I exported bookmars to html file (attached);
 - in console executed "keditbookmarks";
 - in opened app I choose "Import bookmarks from Mozilla..." and then selected that html file;
 - in opened dialog I choose "create new" (my ui is not English);
 - in imported tree I selected entries that I dont wanted (attached pic "step_a") and then pressed Del key;
 - remained entries I wanted move to root of tree, so I selected them and draged to bellow of tree (attached pic "step_b");
 - on  drop app crashed.

 I also attached console output.

The crash can be reproduced every time.

-- Backtrace:
Application: Žymelių redaktorius (keditbookmarks), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77c1710 (LWP 23039))]

Thread 2 (Thread 0xb5835b70 (LWP 23040)):
#0  0x0367cd10 in __GI_clock_gettime (clock_id=1, tp=0xb5835028) at ../sysdeps/unix/clock_gettime.c:116
#1  0x02fdd7d5 in do_gettime (frac=0xb5835020, sec=0xb5835018) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x030b04b6 in QTimerInfoList::updateCurrentTime (this=0xb4f01abc) at kernel/qeventdispatcher_unix.cpp:339
#4  0x030b080a in QTimerInfoList::timerWait (this=0xb4f01abc, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x030af053 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xb583512c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x030af0ed in timerSourcePrepare (source=0xb4f01a88, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x0108888c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x01089637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x01089c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x030afb37 in QEventDispatcherGlib::processEvents (this=0xb4f00468, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x030801dd in QEventLoop::processEvents (this=0xb58352b0, flags=...) at kernel/qeventloop.cpp:149
#12 0x03080421 in QEventLoop::exec (this=0xb58352b0, flags=...) at kernel/qeventloop.cpp:201
#13 0x02f8390b in QThread::exec (this=0x90181b0) at thread/qthread.cpp:498
#14 0x03060e2d in QInotifyFileSystemWatcherEngine::run (this=0x90181b0) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x02f867b3 in QThreadPrivate::start (arg=0x90181b0) at thread/qthread_unix.cpp:331
#16 0x009dcd31 in start_thread (arg=0xb5835b70) at pthread_create.c:304
#17 0x006f40ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb77c1710 (LWP 23039)):
[KCrash Handler]
#7  0x00bc1c08 in QDomNode::QDomNode (this=0xbff1330c, n=...) at dom/qdom.cpp:2038
#8  0x00bc3f43 in QDomElement::QDomElement (this=0xbff1330c, x=...) at dom/qdom.cpp:4738
#9  0x00a02c7d in KBookmark (this=0xbff1330c) at /usr/include/kbookmark.h:34
#10 TreeItem::bookmark (this=0x0) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#11 0x00a009a1 in KBookmarkModel::bookmarkForIndex (this=0x8fc1b00, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
#12 0x00a00a2e in KBookmarkModel::parent (this=0x8fc1b00, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:263
#13 0x002266ce in parent (this=0xbff133e0) at /usr/include/qt4/QtCore/qabstractitemmodel.h:389
#14 KViewSearchLine::setVisible (this=0x918dac8, index=..., v=true) at ../../keditbookmarks/kebsearchline.cpp:589
#15 0x00226839 in KViewSearchLine::slotRowsInserted (this=0x918dac8, parent=..., first=5, last=5) at ../../keditbookmarks/kebsearchline.cpp:564
#16 0x002282d5 in KViewSearchLine::qt_metacall (this=0x918dac8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbff13570) at ./kebsearchline.moc:111
#17 0x03087b7d in metacall (argv=0xbff13570, idx=86, cl=QMetaObject::InvokeMetaMethod, object=0x918dac8) at kernel/qmetaobject.cpp:237
#18 QMetaObject::metacall (object=0x918dac8, cl=QMetaObject::InvokeMetaMethod, idx=86, argv=0xbff13570) at kernel/qmetaobject.cpp:232
#19 0x03096a6a in QMetaObject::activate (sender=0x8fc1b00, m=0x31b8408, local_signal_index=5, argv=0xbff13570) at kernel/qobject.cpp:3278
#20 0x030e4695 in QAbstractItemModel::rowsInserted (this=0x8fc1b00, _t1=..., _t2=5, _t3=5) at .moc/release-shared/moc_qabstractitemmodel.cpp:181
#21 0x0307b3a0 in QAbstractItemModel::endInsertRows (this=0x8fc1b00) at kernel/qabstractitemmodel.cpp:2412
#22 0x00a017c8 in KBookmarkModel::endInsert (this=0x8fc1b00) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:413
#23 0x009fc1ef in CreateCommand::redo (this=0x9382360) at ../../../keditbookmarks/kbookmarkmodel/commands.cpp:142
#24 0x009fd74f in MoveCommand::redo (this=0x8e83ee0) at ../../../keditbookmarks/kbookmarkmodel/commands.cpp:374
#25 0x06facfd3 in QUndoCommand::redo (this=0x92ffad8) at util/qundostack.cpp:208
#26 0x06fae775 in QUndoStack::push (this=0x8f8da0c, cmd=0x92ffad8) at util/qundostack.cpp:541
#27 0x009fb878 in CommandHistory::addCommand (this=0x8f8d968, cmd=0x92ffad8) at ../../../keditbookmarks/kbookmarkmodel/commandhistory.cpp:107
#28 0x00a0219f in KBookmarkModel::dropMimeData (this=0x8fc1b00, data=0x9341158, action=Qt::MoveAction, row=-1, column=-1, parent=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:380
#29 0x06e4e8e6 in QAbstractItemView::dropEvent (this=0x900d078, event=0xbff1401c) at itemviews/qabstractitemview.cpp:1990
#30 0x0690e737 in QWidget::event (this=0x900d078, event=0xbff1401c) at kernel/qwidget.cpp:8485
#31 0x06d13235 in QFrame::event (this=0x900d078, e=0xbff1401c) at widgets/qframe.cpp:557
#32 0x06da57d1 in QAbstractScrollArea::viewportEvent (this=0x900d078, e=0xbff1401c) at widgets/qabstractscrollarea.cpp:1043
#33 0x06e47b6c in QAbstractItemView::viewportEvent (this=0x900d078, event=0xbff1401c) at itemviews/qabstractitemview.cpp:1628
#34 0x06e92326 in QTreeView::viewportEvent (this=0x900d078, event=0xbff1401c) at itemviews/qtreeview.cpp:1256
#35 0x06da7ee6 in viewportEvent (this=<optimized out>, event=0xbff1401c) at widgets/qabstractscrollarea_p.h:100
#36 eventFilter (e=0xbff1401c, this=<optimized out>, o=<optimized out>) at widgets/qabstractscrollarea_p.h:116
#37 QAbstractScrollAreaFilter::eventFilter (this=0x900bf38, o=0x900c120, e=0xbff1401c) at widgets/qabstractscrollarea_p.h:115
#38 0x03081336 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8e7bdf8, receiver=0x900c120, event=0xbff1401c) at kernel/qcoreapplication.cpp:902
#39 0x068b3d22 in notify_helper (e=0xbff1401c, receiver=0x900c120, this=0x8e7bdf8) at kernel/qapplication.cpp:4482
#40 QApplicationPrivate::notify_helper (this=0x8e7bdf8, receiver=0x900c120, e=0xbff1401c) at kernel/qapplication.cpp:4458
#41 0x068b9abc in QApplication::notify (this=0x8e7bdf8, receiver=0x900c120, e=0xbff1401c) at kernel/qapplication.cpp:4290
#42 0x00dda681 in KApplication::notify (this=0xbff15e74, receiver=0x900c120, event=0xbff1401c) at ../../kdeui/kernel/kapplication.cpp:311
#43 0x0308119e in QCoreApplication::notifyInternal (this=0xbff15e74, receiver=0x900c120, event=0xbff1401c) at kernel/qcoreapplication.cpp:787
#44 0x0694c86c in sendEvent (event=0xbff1400c, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#45 QX11Data::xdndHandleDrop (this=0x8e805e8, xe=0xbff1410c, passive=false) at kernel/qdnd_x11.cpp:1183
#46 0x0694d9d4 in QDragManager::drop (this=0x9357a50) at kernel/qdnd_x11.cpp:1725
#47 0x06950672 in QDragManager::eventFilter (this=0x9357a50, o=0x933bff0, e=0xbff1450c) at kernel/qdnd_x11.cpp:1312
#48 0x0308126b in QCoreApplicationPrivate::sendThroughApplicationEventFilters (this=0x8e7bdf8, receiver=0x933bff0, event=0xbff1450c) at kernel/qcoreapplication.cpp:883
#49 0x068b3cca in QApplicationPrivate::notify_helper (this=0x8e7bdf8, receiver=0x933bff0, e=0xbff1450c) at kernel/qapplication.cpp:4461
#50 0x068b9dbb in QApplication::notify (this=0x8e7bdf8, receiver=0x933bff0, e=0xbff1450c) at kernel/qapplication.cpp:4047
#51 0x00dda681 in KApplication::notify (this=0xbff15e74, receiver=0x933bff0, event=0xbff1450c) at ../../kdeui/kernel/kapplication.cpp:311
#52 0x0308119e in QCoreApplication::notifyInternal (this=0xbff15e74, receiver=0x933bff0, event=0xbff1450c) at kernel/qcoreapplication.cpp:787
#53 0x068b4d15 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#54 QApplicationPrivate::sendMouseEvent (receiver=0x933bff0, event=0xbff1450c, alienWidget=0x0, nativeWidget=0x933bff0, buttonDown=0x721eeb4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3146
#55 0x069412c4 in QETWidget::translateMouseEvent (this=0x933bff0, event=0xbff1498c) at kernel/qapplication_x11.cpp:4568
#56 0x0693fe4d in QApplication::x11ProcessEvent (this=0xbff15e74, event=0xbff1498c) at kernel/qapplication_x11.cpp:3690
#57 0x0696c24c in x11EventSourceDispatch (s=0x8e7f6a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#58 0x0108925f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#59 0x01089990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#60 0x01089c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#61 0x030afada in QEventDispatcherGlib::processEvents (this=0x8e61248, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#62 0x0696be3a in QGuiEventDispatcherGlib::processEvents (this=0x8e61248, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#63 0x030801dd in QEventLoop::processEvents (this=0x8f89bb8, flags=...) at kernel/qeventloop.cpp:149
#64 0x03080421 in QEventLoop::exec (this=0x8f89bb8, flags=...) at kernel/qeventloop.cpp:201
#65 0x06950368 in QDragManager::drag (this=0x9357a50, o=0x932e6a0) at kernel/qdnd_x11.cpp:1981
#66 0x068c7681 in QDrag::exec (this=0x932e6a0, supportedActions=..., defaultDropAction=Qt::MoveAction) at kernel/qdrag.cpp:284
#67 0x06e52408 in QAbstractItemView::startDrag (this=0x900d078, supportedActions=...) at itemviews/qabstractitemview.cpp:3448
#68 0x06e5109d in QAbstractItemView::mouseMoveEvent (this=0x900d078, event=0xbff14e94) at itemviews/qabstractitemview.cpp:1709
#69 0x06e921bc in QTreeView::mouseMoveEvent (this=0x900d078, event=0xbff1564c) at itemviews/qtreeview.cpp:1902
#70 0x0690dfd4 in QWidget::event (this=0x900d078, event=0xbff1564c) at kernel/qwidget.cpp:8280
#71 0x06d13235 in QFrame::event (this=0x900d078, e=0xbff1564c) at widgets/qframe.cpp:557
#72 0x06da57d1 in QAbstractScrollArea::viewportEvent (this=0x900d078, e=0xbff1564c) at widgets/qabstractscrollarea.cpp:1043
#73 0x06e47b6c in QAbstractItemView::viewportEvent (this=0x900d078, event=0xbff1564c) at itemviews/qabstractitemview.cpp:1628
#74 0x06e92326 in QTreeView::viewportEvent (this=0x900d078, event=0xbff1564c) at itemviews/qtreeview.cpp:1256
#75 0x06da7ee6 in viewportEvent (this=<optimized out>, event=0xbff1564c) at widgets/qabstractscrollarea_p.h:100
#76 eventFilter (e=0xbff1564c, this=<optimized out>, o=<optimized out>) at widgets/qabstractscrollarea_p.h:116
#77 QAbstractScrollAreaFilter::eventFilter (this=0x900bf38, o=0x900c120, e=0xbff1564c) at widgets/qabstractscrollarea_p.h:115
#78 0x03081336 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8e7bdf8, receiver=0x900c120, event=0xbff1564c) at kernel/qcoreapplication.cpp:902
#79 0x068b3d22 in notify_helper (e=0xbff1564c, receiver=0x900c120, this=0x8e7bdf8) at kernel/qapplication.cpp:4482
#80 QApplicationPrivate::notify_helper (this=0x8e7bdf8, receiver=0x900c120, e=0xbff1564c) at kernel/qapplication.cpp:4458
#81 0x068b9dbb in QApplication::notify (this=0x8e7bdf8, receiver=0x900c120, e=0xbff1564c) at kernel/qapplication.cpp:4047
#82 0x00dda681 in KApplication::notify (this=0xbff15e74, receiver=0x900c120, event=0xbff1564c) at ../../kdeui/kernel/kapplication.cpp:311
#83 0x0308119e in QCoreApplication::notifyInternal (this=0xbff15e74, receiver=0x900c120, event=0xbff1564c) at kernel/qcoreapplication.cpp:787
#84 0x068b4d15 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#85 QApplicationPrivate::sendMouseEvent (receiver=0x900c120, event=0xbff1564c, alienWidget=0x900c120, nativeWidget=0x902bf30, buttonDown=0x721eeb4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3146
#86 0x069412c4 in QETWidget::translateMouseEvent (this=0x902bf30, event=0xbff15acc) at kernel/qapplication_x11.cpp:4568
#87 0x0693fe4d in QApplication::x11ProcessEvent (this=0xbff15e74, event=0xbff15acc) at kernel/qapplication_x11.cpp:3690
#88 0x0696c24c in x11EventSourceDispatch (s=0x8e7f6a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#89 0x0108925f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#90 0x01089990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#91 0x01089c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#92 0x030afada in QEventDispatcherGlib::processEvents (this=0x8e61248, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#93 0x0696be3a in QGuiEventDispatcherGlib::processEvents (this=0x8e61248, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#94 0x030801dd in QEventLoop::processEvents (this=0xbff15dd4, flags=...) at kernel/qeventloop.cpp:149
#95 0x03080421 in QEventLoop::exec (this=0xbff15dd4, flags=...) at kernel/qeventloop.cpp:201
#96 0x0308519d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#97 0x068b18f4 in QApplication::exec () at kernel/qapplication.cpp:3760
#98 0x0020e4e3 in kdemain (argc=1, argv=0xbff16134) at ../../keditbookmarks/main.cpp:212
#99 0x0804850b in main (argc=1, argv=0xbff16134) at keditbookmarks_dummy.cpp:3

Possible duplicates by query: bug 260576.

Reported using DrKonqi
Comment 1 Valdas 2011-11-19 23:35:11 UTC
Created attachment 65857 [details]
Bokkmarks exported from Firefox.
Comment 2 Valdas 2011-11-19 23:36:04 UTC
Created attachment 65858 [details]
Step A mentioned in report.
Comment 3 Valdas 2011-11-19 23:36:35 UTC
Created attachment 65859 [details]
Step B mentioned in report.
Comment 4 Valdas 2011-11-19 23:38:14 UTC
Created attachment 65860 [details]
Output in console.
Comment 5 Ivaylo Kabakov 2011-12-21 10:01:37 UTC
Created attachment 66968 [details]
New crash information added by DrKonqi

keditbookmarks (4.7.3 (4.7.3)) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

- What I was doing when the application crashed:

Moving a list of bookmarks out of a folder.

-- Backtrace (Reduced):
#4  QDomNode::QDomNode (this=0x7fff896950b0, n=...) at dom/qdom.cpp:2038
[...]
#6  0x0000003349410185 in KBookmarkModel::bookmarkForIndex(QModelIndex const&) const () from /usr/lib64/libkbookmarkmodel_private.so.4
#7  0x00000033494101f0 in KBookmarkModel::parent(QModelIndex const&) const () from /usr/lib64/libkbookmarkmodel_private.so.4
[...]
#12 0x0000003cacbd7654 in QAbstractItemModel::rowsInserted (this=<optimized out>, _t1=<optimized out>, _t2=9, _t3=9) at .moc/release-shared/moc_qabstractitemmodel.cpp:197
#13 0x0000003cacb71dbd in QAbstractItemModel::endInsertRows (this=0x1b2cad0) at kernel/qabstractitemmodel.cpp:2433
Comment 6 Francesco Presel 2012-01-27 18:21:14 UTC
Created attachment 68248 [details]
New crash information added by DrKonqi

keditbookmarks (4.7.97 (4.8 RC2 (4.7.97)) on KDE Platform 4.8.00 (4.8.0 using Qt 4.7.4

- What I was doing when the application crashed:
After importing bookmarks from Mozilla SeaMonkey, I selected them all and tried to drag them to the root of the bookmarks tree.
If I only dragged one file or folder at a time, it worked, but dragging 2+ files a/o folders together resulted in a crash

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fffb15c1580, n=...) at dom/qdom.cpp:2038
#7  0x00007f624fc1abdd in KBookmark (this=0x7fffb15c1580) at /usr/include/kbookmark.h:34
#8  TreeItem::bookmark (this=<optimized out>) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007f624fc18d35 in KBookmarkModel::bookmarkForIndex (this=<optimized out>, index=<optimized out>) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
#10 0x00007f624fc18da0 in KBookmarkModel::parent (this=0x1b71480, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:263
Comment 7 Andreas 2012-03-01 13:45:11 UTC
Created attachment 69213 [details]
New crash information added by DrKonqi

keditbookmarks (4.7.97 (4.8 RC2 (4.7.97)) on KDE Platform 4.8.00 (4.8.0 using Qt 4.7.4

- What I was doing when the application crashed:

Opened bookmark editor from konqueror menu and imported Internet Explorer bookmarks to new folder. Trying to move multiple Items of this folder to parent directory by drag&drop the bookmark editor crashed.

-- Backtrace (Reduced):
#7  0xb7259c08 in QDomNode::QDomNode (this=0xbfc7a91c, n=...) at dom/qdom.cpp:2038
#8  0xb725bf43 in QDomElement::QDomElement (this=0xbfc7a91c, x=...) at dom/qdom.cpp:4738
#9  0xb758dc7d in KBookmark (this=0xbfc7a91c) at /usr/include/kbookmark.h:34
#10 TreeItem::bookmark (this=0x0) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#11 0xb758b9a1 in KBookmarkModel::bookmarkForIndex (this=0x8b6b2d8, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
Comment 8 hoffmann-clemens 2012-05-09 19:13:03 UTC
Created attachment 70984 [details]
New crash information added by DrKonqi

keditbookmarks (4.8.2 (4.8.2)) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:

Tried to drag&drop Bookmarks of a Bookmark Sub-Folder to Bookmark symbol tray (bookmark root folder). Bookmanagar crahes repeatably.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fffad47d5b0, n=...) at dom/qdom.cpp:2038
#7  0x00007f1df4ddfcfd in KBookmark (this=0x7fffad47d5b0) at /usr/include/kbookmark.h:34
#8  TreeItem::bookmark (this=<optimized out>) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007f1df4dddd65 in KBookmarkModel::bookmarkForIndex (this=<optimized out>, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
#10 0x00007f1df4ddddd0 in KBookmarkModel::parent (this=0x84dd00, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:263
Comment 9 Raphaël 2012-06-12 08:36:25 UTC
Created attachment 71753 [details]
New crash information added by DrKonqi

keditbookmarks (4.6.5 (4.6.5)) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.2

I create a new folder and want to move 6 bookmarks into it, when drag them to the new folder, it crash

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff3f3c7c80, n=...) at dom/qdom.cpp:2038
#7  0x00007f04fcec3ded in KBookmark (this=<value optimized out>) at /usr/include/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007f04fcec1f56 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
#10 0x00007f04fcec1fc1 in KBookmarkModel::parent (this=0x13fe930, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:263
Comment 10 Raphaël 2012-06-12 08:39:18 UTC
Created attachment 71754 [details]
New crash information added by DrKonqi

keditbookmarks (4.6.5 (4.6.5)) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.2

I try again to move bookmarks into a forlder. When I move only one, that work, but when I try with 2 or more at the same time it crash

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7ffff1b20480, n=...) at dom/qdom.cpp:2038
#7  0x00007fece88cbded in KBookmark (this=<value optimized out>) at /usr/include/kbookmark.h:35
#8  TreeItem::bookmark (this=<value optimized out>) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007fece88c9f56 in KBookmarkModel::bookmarkForIndex (this=<value optimized out>, index=<value optimized out>) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
#10 0x00007fece88c9fc1 in KBookmarkModel::parent (this=0x10825f0, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:263
Comment 11 Jekyll Wu 2012-06-23 15:12:31 UTC
*** Bug 294008 has been marked as a duplicate of this bug. ***
Comment 12 Jekyll Wu 2012-06-23 15:12:41 UTC
*** Bug 302407 has been marked as a duplicate of this bug. ***
Comment 13 Marcus Harrison 2012-09-04 03:01:55 UTC
Created attachment 73639 [details]
New crash information added by DrKonqi

keditbookmarks (4.9.00) on KDE Platform 4.9.00 using Qt 4.8.2

- What I was doing when the application crashed:

-Created a new folder
-Searched using a term that returned multiple bookmarks
-Selected all the resulting bookmarks
-Clicked-and-dragged them into a folder on the left-hand-side pane.

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fffd47d9060, n=...) at dom/qdom.cpp:2038
#7  0x00007fa8f4d04cfd in KBookmark (this=0x7fffd47d9060) at /usr/include/kbookmark.h:34
#8  TreeItem::bookmark (this=<optimized out>) at ../../../keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007fa8f4d02d65 in KBookmarkModel::bookmarkForIndex (this=<optimized out>, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:396
#10 0x00007fa8f4d02dd0 in KBookmarkModel::parent (this=0x1e10190, index=...) at ../../../keditbookmarks/kbookmarkmodel/model.cpp:263
Comment 14 Nikos Bestas 2012-12-09 12:37:48 UTC
Created attachment 75745 [details]
New crash information added by DrKonqi

keditbookmarks (4.9.3 "release 520") on KDE Platform 4.9.3 "release 520" using Qt 4.8.3

- What I was doing when the application crashed:
I was dragging some Firefox exported bookmarks to a new folder.
It works if you drag only a few (up to four I think), but crashes everytime you try to drag more bookmarks to a folder (newly created, or not)

- Custom settings of the application:
No special settings, I just want to replace firefox with rekonq :)

-- Backtrace (Reduced):
#5  0x00007f842bd4f070 in QDomNode::QDomNode(QDomNode const&) () from /usr/lib64/libQtXml.so.4
[...]
#7  0x00007f842c688515 in KBookmarkModel::bookmarkForIndex(QModelIndex const&) const () from /usr/lib64/libkbookmarkmodel_private.so.4
#8  0x00007f842c68857d in KBookmarkModel::parent(QModelIndex const&) const () from /usr/lib64/libkbookmarkmodel_private.so.4
[...]
#12 0x00007f842af1e204 in QAbstractItemModel::rowsAboutToBeInserted(QModelIndex const&, int, int) () from /usr/lib64/libQtCore.so.4
#13 0x00007f842aeb6446 in QAbstractItemModel::beginInsertRows(QModelIndex const&, int, int) () from /usr/lib64/libQtCore.so.4
Comment 15 Jekyll Wu 2013-01-23 10:16:14 UTC
*** Bug 313740 has been marked as a duplicate of this bug. ***
Comment 16 Richard Llom 2013-03-22 12:14:20 UTC
Created attachment 78292 [details]
New crash information added by DrKonqi

keditbookmarks (4.10.1) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

Dragging 9 Bookmarks from a subfolder to a parent folder.

Attached is a "3-star" backtrace.

Running on Chakra and KDE 4.10.1

-- Backtrace (Reduced):
#6  QDomNode::QDomNode (this=0x7fff654ded90, n=...) at dom/qdom.cpp:2038
#7  0x00007f7cf32dbcfd in KBookmark (this=0x7fff654ded90) at /usr/include/kbookmark.h:34
#8  TreeItem::bookmark (this=<optimized out>) at /chakra/desktop-testing/kde-baseapps/src/kde-baseapps-4.10.1/keditbookmarks/kbookmarkmodel/treeitem.cpp:87
#9  0x00007f7cf32d9ef5 in KBookmarkModel::bookmarkForIndex (this=this@entry=0x26cb470, index=...) at /chakra/desktop-testing/kde-baseapps/src/kde-baseapps-4.10.1/keditbookmarks/kbookmarkmodel/model.cpp:396
#10 0x00007f7cf32d9f5d in KBookmarkModel::parent (this=0x26cb470, index=...) at /chakra/desktop-testing/kde-baseapps/src/kde-baseapps-4.10.1/keditbookmarks/kbookmarkmodel/model.cpp:263
Comment 17 Richard Llom 2013-03-22 12:41:57 UTC
Created attachment 78294 [details]
Valgrind Trace of keditbookmarks

Attached is a valgrind trace of keditbookmarks
keditbookmarks crashed here by dragging bookmarks (as before).

Hope this helps, fixing this issues. Any devs here?
Comment 18 Myriam Schweingruber 2013-03-29 09:41:02 UTC
(In reply to comment #17)
> Created attachment 78294 [details]
> Valgrind Trace of keditbookmarks
> 
> Attached is a valgrind trace of keditbookmarks
> keditbookmarks crashed here by dragging bookmarks (as before).
>

Changing version and setting to confirmed. 

> Hope this helps, fixing this issues. Any devs here?

Yes there, are developers here, the bug is assigned to them actually, see the "Assigned to:" field. The Cc list only lists the reporter, duplicate reporters and other interested people.
Comment 19 David Faure 2013-05-04 23:08:10 UTC
Git commit e0c4b4478b6ef54772f4217ec8642d2beb6309c4 by David Faure.
Committed on 05/05/2013 at 01:05.
Pushed by dfaure into branch 'KDE/4.10'.

Add unittest for DnD of multiple bookmarks

When the bookmarks are selected from bottom to top, it works.
When they are selected from top to bottom, it makes addresses invalid,
and breaks.
More debugging tomorrow.

M  +17   -1    keditbookmarks/kbookmarkmodel/tests/kbookmarkmodeltest.cpp

http://commits.kde.org/kde-baseapps/e0c4b4478b6ef54772f4217ec8642d2beb6309c4
Comment 20 David Faure 2013-05-05 08:01:18 UTC
Git commit 712d12c143cbd4756cd55289ac086305b64743c8 by David Faure.
Committed on 05/05/2013 at 09:59.
Pushed by dfaure into branch 'KDE/4.10'.

Move bookmarks in reverse order so that their address remains valid.
FIXED-IN: 4.10.4

M  +2    -1    keditbookmarks/kbookmarkmodel/model.cpp
M  +1    -1    keditbookmarks/kbookmarkmodel/tests/kbookmarkmodeltest.cpp

http://commits.kde.org/kde-baseapps/712d12c143cbd4756cd55289ac086305b64743c8
Comment 21 Dawit Alemayehu 2013-06-24 01:08:42 UTC
*** Bug 226187 has been marked as a duplicate of this bug. ***
Comment 22 Christoph Feck 2013-07-07 18:11:43 UTC
*** Bug 318192 has been marked as a duplicate of this bug. ***
Comment 23 Christoph Feck 2013-07-07 18:11:57 UTC
*** Bug 317919 has been marked as a duplicate of this bug. ***
Comment 24 Christoph Feck 2013-07-07 18:12:12 UTC
*** Bug 263125 has been marked as a duplicate of this bug. ***
Comment 25 Christoph Feck 2013-07-07 18:12:34 UTC
*** Bug 256408 has been marked as a duplicate of this bug. ***
Comment 26 Christoph Feck 2013-07-07 18:12:51 UTC
*** Bug 245349 has been marked as a duplicate of this bug. ***
Comment 27 Christoph Feck 2013-07-07 18:13:08 UTC
*** Bug 187892 has been marked as a duplicate of this bug. ***
Comment 28 Christoph Feck 2013-07-07 18:13:42 UTC
*** Bug 221866 has been marked as a duplicate of this bug. ***
Comment 29 David Faure 2013-10-14 13:38:50 UTC
It still crashes when dropping into the parent folder, or any other operation that invalidates the source or dest addresses during the copying.

Solution: copy all selected bookmarks first, then delete them all (at their possibly updated address).
I'm working on a fix.
Comment 30 David Faure 2013-10-15 07:02:05 UTC
Git commit ae76d6f3ff367a152d511581161b87742d6934ab by David Faure.
Committed on 15/10/2013 at 07:01.
Pushed by dfaure into branch 'KDE/4.11'.

Fix DnD crash for more cases (moving N bookmarks into subfolder or parent folder)

Solution: copy all selected bookmarks first, then delete them all
(at their possibly updated address).
FIXED-IN: 4.11.3

M  +15   -26   keditbookmarks/kbookmarkmodel/commands.cpp
M  +21   -7    keditbookmarks/kbookmarkmodel/tests/kbookmarkmodeltest.cpp

http://commits.kde.org/kde-baseapps/ae76d6f3ff367a152d511581161b87742d6934ab
Comment 31 Ben Kohler 2013-12-07 17:06:43 UTC
*** Bug 255611 has been marked as a duplicate of this bug. ***
Comment 32 Dawit Alemayehu 2014-04-02 12:31:15 UTC
*** Bug 323934 has been marked as a duplicate of this bug. ***